\version "2.12.1"

\header {
    title = "Дважды гармонический A-moll"
}

% European system (A B H C D E F G)
\include "deutsch.ly"

% Ajust size
#(set-global-staff-size 30)

% Some magic here (for spanning string numbers)
stringNumberSpanner =
#(define-music-function (parser location StringNumber) (string?)
  #{
    \override TextSpanner #'style = #'dashed-line
    \override TextSpanner #'dash-period = #1
    \override TextSpanner #'font-size = #-5
    \override TextSpanner #'(bound-details left stencil-align-dir-y) = #CENTER
    \override TextSpanner #'(bound-details left text) = \markup { \circle \number $StringNumber }
  #})

global = {
  \key c \major
}

\score {
  \new Staff
  \relative c' {
    \override Staff.BarLine #'break-visibility = #'#(#f #f #t)
    % For explicit naturals
    #(set-accidental-style 'no-reset)
    \stringNumberSpanner "6"
    \textSpannerDown
    a-1\startTextSpan
    h-3
    c-4
    \stopTextSpan
    \stringNumberSpanner "5"
    dis-2\startTextSpan
    e-3
    f-4
    \stopTextSpan
    \stringNumberSpanner "4"
    gis-2\startTextSpan
    a-4
    \stopTextSpan
    \stringNumberSpanner "3"
    h-1\startTextSpan
    c-2
    \stopTextSpan
    \stringNumberSpanner "2"
    dis-1\startTextSpan
    e-2
    f-3
    \stopTextSpan
    \stringNumberSpanner "1"
    gis-1\startTextSpan
    a-2
    gis-1
    \stopTextSpan
    \stringNumberSpanner "2"
    f-3\startTextSpan
    e-2
    dis-1
    \stopTextSpan
    \stringNumberSpanner "3"
    c-2\startTextSpan
    h-1
    \stopTextSpan
    \stringNumberSpanner "4"
    a-4\startTextSpan
    gis-2
    \stopTextSpan
    \stringNumberSpanner "5"
    f-4\startTextSpan
    e-3
    dis-2
    \stopTextSpan
    \stringNumberSpanner "6"
    \textSpannerDown
    c-4\startTextSpan
    h-3
    a-1
    \stopTextSpan
  }
  \layout{
    \context{
      \Staff
        \remove Time_signature_engraver
    }
  }
  \midi{}
}
