\version "2.12.1"

\header {
    title = "Дважды гармонический a-moll"
}

% European system (A B H C D E F G)
\include "deutsch.ly"

% Ajust size
#(set-global-staff-size 30)

% Some magic here (for spanning string numbers)
stringNumberSpanner =
#(define-music-function (parser location StringNumber) (string?)
  #{
    \override TextSpanner #'style = #'dashed-line
    \override TextSpanner #'dash-period = #1
    \override TextSpanner #'font-size = #-5
    \override TextSpanner #'(bound-details left stencil-align-dir-y) = #CENTER
    \override TextSpanner #'(bound-details left text) = \markup { \circle \number $StringNumber }
  #})

global = {
  \key a \minor
}

\score {
  \new Staff
  \relative c' {
    \override Staff.BarLine #'break-visibility = #'#(#t #f #t)
    a h c dis e f gis a gis f e dis c h a2
  }
  \layout{
    \context{
      \Staff
        \remove Time_signature_engraver
    }
  }
  \midi{}
}
